package com.ynet.life.sujrb.cache.memcached;

import com.danga.MemCached.MemCachedClient;
import com.ynet.life.memcached.LifeMemcachedSessionService;
import com.ynet.life.sujrb.cache.Cache;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_cache_memcached.jar:com/ynet/life/sujrb/cache/memcached/MemcacheManager.class */
public class MemcacheManager implements Cache {
    private String cacheName;
    private static final String DEFAULT_MEMCACHED_SPACE = "default_memcached_cache";
    private static MemCachedClient mc = LifeMemcachedSessionService.getInstance().getMemCachedClient();
    Map<String, Object> map;

    public MemcacheManager() {
        this(null);
    }

    public MemcacheManager(String name) {
        this.cacheName = null;
        this.map = new HashMap();
        this.cacheName = (name == null || "".equalsIgnoreCase(name)) ? DEFAULT_MEMCACHED_SPACE : name;
        mc.set(this.cacheName, this.map);
    }

    public void put(String key, Map<String, Object> obj) {
        this.map = (Map) mc.get(this.cacheName);
        this.map.put(key, obj);
        mc.replace(this.cacheName, this.map);
    }

    public void remove(String key) {
        this.map = (Map) mc.get(this.cacheName);
        this.map.remove(key);
        mc.replace(this.cacheName, this.map);
    }

    public Map<String, Object> get(String key) {
        this.map = (Map) mc.get(this.cacheName);
        return (Map) this.map.get(key);
    }

    public String getCacheName() {
        return this.cacheName;
    }

    public boolean isConnServer() {
        String key = String.valueOf(System.currentTimeMillis()) + "_memcached_conn_test";
        boolean success = mc.set(key, key);
        if (success) {
            mc.delete(key);
        }
        return success;
    }

    public void clear() {
    }

    public Map getData() {
        return null;
    }

    public void init(int maxSize) throws IOException {
    }
}
